---
title: RTCIceCredentialType
slug: Web/API/RTCIceCredentialType
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The WebRTC API's <strong><code>RTCIceCredentialType</code></strong> enumerated string type defines the authentication method used to gain access to an {{Glossary("ICE")}} server identified by an {{domxref("RTCIceServer")}} object.</span></p>

<h2 id="Values">Values</h2>

<dl>
 <dt><code>oauth</code></dt>
 <dd>The {{domxref("RTCIceServer")}} requires the use of OAuth 2.0 to authenticate in order to use the ICE server described. This process is detailed in {{RFC(7635)}}. This property was formerly called <code>token</code>.</dd>
 <dt><code>password</code></dt>
 <dd>The <code>RTCIceServer</code> requires a username and password to authenticate prior to using the described ICE server.</dd>
</dl>

<h2 id="Obsolete_values">Obsolete values</h2>

<p>The following values are no longer part of the WebRTC specification, but were in the past.</p>

<dl>
 <dt><code>token</code></dt>
 <dd>Authenticating with the ICE server requires the use of an OAuth 2.0 token as defined in {{RFC(7635)}}. This value has been renamed to <code>oauth</code>.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-rtcicecredentialtype', 'RTCIceCredentialType') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCredentialType")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("RTCIceServer")}}</li>
 <li>{{domxref("RTCIceServer.credential")}}</li>
</ul>
